Forum

Results 1 to 5 of 5
  1. #1
    Join Date
    February 2016
    Posts
    10

    Can anyone fix a plugin from this 3.1 update?

    Hello,

    I launched TeamSpeak today and got an update, and I updated. Really should not have done that. It broke all my plugins. The "Admin Tools" plugin doesn't even install.. I'm currently attempting to downgrade, but I was looking forward to 3.1.

    Anyway all my plugins broke, but I had one really, really important plugin that took me a couple months to actually find, and I was so glad I found it, and everyone on my server uses it. The plugin was called Chat TTS, and it did exactly what it's title implies, it read out all of the chat messages. We have a lot of people who don't want to talk or don't have a mic, and this plugin is really useful for that. When we're in a game of CS:GO or League, or in a raid/mythic+ dungeon in WoW, and someone PM/Pokes us, we don't want to alt tab out just to hear the message. It's really useful being able to know exactly what's being said and we all really relied on it a lot.

    I found this plugin in some obscure place and can't remember where. I didn't make it. I believe it was made in 2014 and I can't find it anywhere. It's very, very unlikely that the original author would come back to fix it for an update in 2017.

    Does anyone know a way to get this plugin working? I would really, really appreciate it. I have zero experience in programming plugins for TS3. If anyone could fix it, or find a replacement, I would greatly appreciate it. I've attached the plugin (it's a dll, so i'm not sure how to edit it).

    Thanks! And I apologize if I came off rude/angry, wasn't my intention.
    Attached Files Attached Files

  2. #2
    Join Date
    January 2010
    Location
    localhost
    Posts
    43
    Hi,

    you can try this. I did change the byte representing the API version from 20 to 21. Please be aware that this will only work if the plugin does not use any functions that have been changed from API 20 to 21. It may randomly crash without warning.

    You have been warned! I didn't test it since I don't trust that plugin when it comes from an unknown source.

    Please let me know if it worked since I'm interested in the result.
    Attached Files Attached Files
    Last edited by rossmann; January 13th, 2017 at 11:25 AM.

  3. #3
    Join Date
    May 2016
    Location
    Idar-Oberstein
    Posts
    163
    A couple of addons currently are having trouble with installation via the client (e.g. Admin Tools & Guild Wars 2 Theme Pack).
    We're fixing this server side.
    If you need it immediately, you can download it via browser from http://myteamspeak.com and do an offline installation.
    Note though, currently, offline installations won't benefit from the auto-update mechanism for addons.

  4. #4
    Join Date
    February 2016
    Posts
    10
    Quote Originally Posted by rossmann View Post
    Hi,

    you can try this. I did change the byte representing the API version from 20 to 21. Please be aware that this will only work if the plugin does not use any functions that have been changed from API 20 to 21. It may randomly crash without warning.

    You have been warned! I didn't test it since I don't trust that plugin when it comes from an unknown source.

    Please let me know if it worked since I'm interested in the result.
    Hey!

    Thanks for trying. I haven't gotten a chance to using it yet, as I downgraded to version 3.0.19.4. TeamSpeak 3.1 seems very buggy at the moment, but I will test it as soon as they fix the settings wipe and all the other jazz surround this update.

  5. #5
    Join Date
    January 2017
    Posts
    2

    Downgrade

    Hi,

    I read that you have downgraded the teamspeak client

    My question is how do you do that, because I want to do that myself?
    Note: I am not that strong with computer language

    Thanks in advance!!

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Similar Threads

  1. Replies: 3
    Last Post: November 8th, 2012, 01:22 PM
  2. Please Update this Plugin ""Connection History"" Or Include to Client Version
    By varela1george in forum Suggestions and Feedback
    Replies: 2
    Last Post: October 13th, 2012, 08:28 AM
  3. Replies: 1
    Last Post: June 12th, 2011, 11:24 PM
  4. Replies: 0
    Last Post: April 9th, 2010, 01:21 AM

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •